View Issue Details

IDProjectCategoryView StatusLast Update
0024287FPCCompilerpublic2015-02-02 12:18
ReporterMaciej Izak Assigned ToSven Barth  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionno change required 
Product Version2.7.1 
Fixed in Version3.1.1 
Summary0024287: Generics type name conflict (Identifier not found)
DescriptionI can't compile attached code (in Delphi it's ok):

{$mode delphi}{$H+}

type
  TA<T> = class(TObject);

  TB<T> = class(TA< T >);

  TC<T> = class
  public
    type
      TA = class(TB<T>);

    function Foo: TA<T>; virtual; abstract; // Error: Identifier not found "TA$1"
  end;

var
  C: TC<string>;
Tagsgenerics
Fixed in Revision
FPCOldBugId
FPCTarget
Attached Files

Relationships

related to 0027206 resolvedSven Barth [Patch] Christmas gift by FreeSparta : Generics.Collections 

Activities

Maciej Izak

2013-04-17 01:25

reporter  

project13.lpr (307 bytes)

Sven Barth

2015-01-30 15:10

manager   ~0080688

Would you please retest? It seems it got fixed somewhen along the way...

Regards,
Sven

Maciej Izak

2015-01-31 17:27

reporter   ~0080701

Yup, now works fine. ^^

Regards,
Maciej Izak

Sven Barth

2015-02-02 12:18

manager   ~0080750

Resolved after confirmation by reporter. Please close.

Regards,
Sven

Issue History

Date Modified Username Field Change
2013-04-17 01:25 Maciej Izak New Issue
2013-04-17 01:25 Maciej Izak File Added: project13.lpr
2013-04-17 01:25 Maciej Izak Tag Attached: generics
2015-01-06 14:05 Sven Barth Relationship added related to 0027206
2015-01-30 15:10 Sven Barth Note Added: 0080688
2015-01-30 15:10 Sven Barth Assigned To => Sven Barth
2015-01-30 15:10 Sven Barth Status new => feedback
2015-01-31 17:27 Maciej Izak Note Added: 0080701
2015-01-31 17:27 Maciej Izak Status feedback => assigned
2015-02-02 12:18 Sven Barth Note Added: 0080750
2015-02-02 12:18 Sven Barth Status assigned => resolved
2015-02-02 12:18 Sven Barth Fixed in Version => 3.1.1
2015-02-02 12:18 Sven Barth Resolution open => no change required